import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { StringFieldUpdateOperationsInputObjectSchema as StringFieldUpdateOperationsInputObjectSchema } from './StringFieldUpdateOperationsInput.schema';
import { NullableStringFieldUpdateOperationsInputObjectSchema as NullableStringFieldUpdateOperationsInputObjectSchema } from './NullableStringFieldUpdateOperationsInput.schema';
import { DateTimeFieldUpdateOperationsInputObjectSchema as DateTimeFieldUpdateOperationsInputObjectSchema } from './DateTimeFieldUpdateOperationsInput.schema';
import { UserUpdateOneWithoutStaffNestedInputObjectSchema as UserUpdateOneWithoutStaffNestedInputObjectSchema } from './UserUpdateOneWithoutStaffNestedInput.schema';
import { AppointmentUpdateManyWithoutStaffNestedInputObjectSchema as AppointmentUpdateManyWithoutStaffNestedInputObjectSchema } from './AppointmentUpdateManyWithoutStaffNestedInput.schema'

const makeSchema = () => z.object({
  name: z.union([z.string(), z.lazy(() => StringFieldUpdateOperationsInputObjectSchema)]).optional(),
  email: z.union([z.string(), z.lazy(() => NullableStringFieldUpdateOperationsInputObjectSchema)]).optional().nullable(),
  role: z.union([z.string(), z.lazy(() => StringFieldUpdateOperationsInputObjectSchema)]).optional(),
  phone: z.union([z.string(), z.lazy(() => NullableStringFieldUpdateOperationsInputObjectSchema)]).optional().nullable(),
  createdAt: z.union([z.coerce.date(), z.lazy(() => DateTimeFieldUpdateOperationsInputObjectSchema)]).optional(),
  user: z.lazy(() => UserUpdateOneWithoutStaffNestedInputObjectSchema).optional(),
  appointments: z.lazy(() => AppointmentUpdateManyWithoutStaffNestedInputObjectSchema).optional()
}).strict();
export const StaffUpdateWithoutClaimsInputObjectSchema: z.ZodType<Prisma.StaffUpdateWithoutClaimsInput> = makeSchema() as unknown as z.ZodType<Prisma.StaffUpdateWithoutClaimsInput>;
export const StaffUpdateWithoutClaimsInputObjectZodSchema = makeSchema();
